ImageDataContentHandler (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.attachment

## Class ImageDataContentHandler

- java.lang.Object
- - org.apache.cxf.attachment.ImageDataContentHandler

- All Implemented Interfaces:
    `javax.activation.DataContentHandler`

      public class ImageDataContentHandler
      extends Object
      implements javax.activation.DataContentHandler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImageDataContentHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getContent​(javax.activation.DataSource ds)` |
    `Object` | `getTransferData​(DataFlavor df, javax.activation.DataSource ds)` |
    `DataFlavor[]` | `getTransferDataFlavors()` |
    `void` | `writeTo​(Object obj, String mimeType, OutputStream os)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageDataContentHandler

          public ImageDataContentHandler()

  - ### Method Detail

    - #### getContent

          public Object getContent​(javax.activation.DataSource ds)
                            throws IOException

      Specified by:
        `getContent` in interface `javax.activation.DataContentHandler`
      Throws:
        `IOException`

    - #### getTransferData

          public Object getTransferData​(DataFlavor df,
                                        javax.activation.DataSource ds)
                                 throws UnsupportedFlavorException,
                                        IOException

      Specified by:
        `getTransferData` in interface `javax.activation.DataContentHandler`
      Throws:
        `UnsupportedFlavorException`
        `IOException`

    - #### getTransferDataFlavors

          public DataFlavor[] getTransferDataFlavors()

      Specified by:
        `getTransferDataFlavors` in interface `javax.activation.DataContentHandler`

    - #### writeTo

          public void writeTo​(Object obj,
                              String mimeType,
                              OutputStream os)
                       throws IOException

      Specified by:
        `writeTo` in interface `javax.activation.DataContentHandler`
      Throws:
        `IOException`